
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>迁移数据库到SQL on Linux Docker / iVAN</title>

    <meta name="description" content="迁移数据库到SQL on Linux Docker 问题引入 前一篇文章,菜鸟找到了SQL on Linux Docker容器销毁后,容器中的数据库文件可以得以保留的方法,老鸟非常开心.所以,今天又提出了新的问题:&quot;鸟儿,如果我想把我的数据库从SQL on Windows迁移到SQL on Linux Docker,如何才能做到呢?&quot;. 菜鸟一听这个问题,头脑迅速反应出数据库迁移的两种方法:备份还原和分离附加.就让我们来试试吧.详细的过程可以参见我录制的Youku视频:12_SQLonLinux_Docker_Migratio ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">迁移数据库到SQL on Linux Docker</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题引入</h1>
<p>前一篇文章，菜鸟找到了SQL on Linux Docker容器销毁后，容器中的数据库文件可以得以保留的方法，老鸟非常开心。所以，今天又提出了新的问题：“鸟儿，如果我想把我的数据库从SQL on Windows迁移到SQL on Linux Docker，如何才能做到呢？”。<br />
菜鸟一听这个问题，头脑迅速反应出数据库迁移的两种方法：备份还原和分离附加。就让我们来试试吧。详细的过程可以参见我录制的Youku视频：<br /><a href="http://v.youku.com/v_show/id_XMjUwNzQyNTU4OA==.html" rel="external nofollow noreferrer">12_SQLonLinux_Docker_Migration</a></p>
<h1>构建SQL on Windows测试数据库</h1>
<p>为了测试从SQL on Windows迁移数据库到SQL on Linux Docker的两种方法：备份还原和数据库附加。我们在SQL on Windows数据库实例中创建两个测试数据库，TestAttach和TestBackRestore，然后分别在两个数据库下创建一张测试表，接下来插入两条NEWID测试数据，最后查看这两条数据。</p>
<pre><code>IF DB_ID('TestAttach') IS NULL
    CREATE DATABASE TestAttach;
GO

USE TestAttach
GO
IF OBJECT_ID('dbo.tb_Test', 'U') IS NOT NULL
    DROP TABLE dbo.tb_Test
GO

CREATE TABLE dbo.tb_Test(
RowID INT IDENTITY(1, 1) NOT NULL PRIMARY KEY
,Name VARCHAR(36) NOT NULL
);

INSERT INTO dbo.tb_Test
SELECT NEWID() UNION ALL SELECT NEWID();

SELECT * FROM dbo.tb_Test;

IF DB_ID('TestBackRestore') IS NULL
    CREATE DATABASE TestBackRestore;
GO

USE TestBackRestore
GO
IF OBJECT_ID('dbo.tb_Test', 'U') IS NOT NULL
    DROP TABLE dbo.tb_Test
GO

CREATE TABLE dbo.tb_Test(
RowID INT IDENTITY(1, 1) NOT NULL PRIMARY KEY
,Name VARCHAR(36) NOT NULL
);

INSERT INTO dbo.tb_Test
SELECT NEWID() UNION ALL SELECT NEWID();

SELECT * FROM dbo.tb_Test;

SELECT physical_name,* FROM sys.master_files
WHERE database_id = DB_ID('TestAttach');
</code></pre>
<p>执行结果截图如下：<br /><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/979a462198ce961ea24415b21a069388.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS85NzlhNDYyMTk4Y2U5NjFlYTI0NDE1YjIxYTA2OTM4OC5wbmc=.jpg"></a></p>
<p>为了可以直接复制mdf和ldf文件，我们需要下线数据库TestAttach，然后备份数据库TestBackRestore。</p>
<pre><code>USE master
GO
ALTER DATABASE TestAttach SET OFFLINE;

USE master
GO
EXEC xp_create_subdir 'C:\temp\'
GO
BACKUP DATABASE [TestBackRestore]
    TO DISK = 'C:\temp\TestBackRestore_full_20170210.bak' WITH STATS = 2 ;
</code></pre>
<h1>传输数据库文件</h1>
<p>由于我是在Mac系统安装Windows虚拟机来测试的，所以，首先我需要将Windows虚拟机中的文件复制到Mac系统。比如：我将下面三个文件复制到Mac的~/Downloads目录：</p>
<pre><code>C:\SQL2K14_DATA\MSSQL12.MSSQLSERVER\MSSQL\DATA\TestAttach.mdf
C:\SQL2K14_DATA\MSSQL12.MSSQLSERVER\MSSQL\DATA\TestAttach_log.ldf
C:\temp\TestBackRestore_full_20170210.bak
</code></pre>
<p>接下来，我需要在Mac系统中，将这三个文件复制到SQL on Linux Docker容器中，方法如下：</p>
<pre><code>docker cp ~/Downloads/TestAttach.mdf linuxsql41433:/var/opt/mssql/data/TestAttach.mdf
docker cp ~/Downloads/TestAttach_log.ldf linuxsql41433:/var/opt/mssql/data/TestAttach_log.ldf
docker cp ~/Downloads/TestBackRestore_full_20170210.bak linuxsql41433:/var/opt/mssql/data/TestBackRestore_full_20170210.bak
</code></pre>
<p>备份文件、数据库数据文件和日志文件准备完毕后，接下来该是还原数据库和附加数据库了。</p>
<h1>还原数据库到SQL on Linux Docker</h1>
<p>这个和SQL on Windows还原操作没有什么两样，思路还是先检查备份文件的完整性，然后使用Restore语句还原数据库。使用SSMS连接到SQL on Linux Docker中，执行以下脚本：</p>
<pre><code>USE master
GO
--Verify backup file
RESTORE FILELISTONLY
    FROM DISK = N'C:\var\opt\mssql\data\TestBackRestore_full_20170210.bak';
RESTORE VERIFYONLY
    FROM DISK = N'C:\var\opt\mssql\data\TestBackRestore_full_20170210.bak';
-- Restore Database
USE master
GO
RESTORE DATABASE [TestBackRestore]
FROM DISK = N'C:\var\opt\mssql\data\TestBackRestore_full_20170210.bak'
WITH MOVE N'TestBackRestore' TO N'C:\var\opt\mssql\data\TestBackRestore.mdf'
    ,MOVE N'TestBackRestore_log' TO N'C:\var\opt\mssql\data\TestBackRestore_log.ldf'
    ,STATS=2
GO
</code></pre>
<p>最后是附加数据库到SQL on Linux Docker的操作。</p>
<h1>附加数据库到SQL on Linux Docker</h1>
<p>附加数据库方法也和SQL on Windows一样，使用Create Database for Attach方法。同样，使用SSMS连接到SQL on Linux Docker，执行以下数据库附加操作脚本：</p>
<pre><code>USE master
GO
-- Create database via attach
CREATE DATABASE [TestAttach]
    ON ( FILENAME = N'C:\var\opt\mssql\data\TestAttach.mdf'),
    ( FILENAME = N'C:\var\opt\mssql\data\TestAttach_log.ldf')
    FOR ATTACH;
GO
</code></pre>
<h1>最后确认</h1>
<p>最后确认操作，只需要检查下这两个数据库下的测试表数据是否和迁移之前一致即可。</p>
<pre><code>SELECT * FROM TestAttach.dbo.tb_Test;
SELECT * FROM TestBackRestore.dbo.tb_Test;
</code></pre>
<p>对比迁移前后数据库测试表中的数据是否一致：<br /><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/4ce3a4326b427df7fa4bed66392ae2fb.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS80Y2UzYTQzMjZiNDI3ZGY3ZmE0YmVkNjYzOTJhZTJmYi5wbmc=.jpg"></a></p>
<p>从最后的确认结果来看，迁移前后的数据库测试数据完全一致，本次迁移数据使用的两种方法都是成功的，可靠的。</p>
<h1>写在最后</h1>
<p>SQL on Windows上的数据库，可以非常平滑的迁移到SQL on Linux Docker中来，这个是Windows版和Linux版数据库可以任意选择的前提。我们可以使用数据库的备份还原和分离附件两种方法来达到数据库迁移的目的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:32:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/docker/" title="docker">docker</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93%e8%bf%81%e7%a7%bb/" title="数据库迁移">数据库迁移</a>, <a href="https://www.iamivan.net/tag/attach/" title="attach">attach</a>, <a href="https://www.iamivan.net/tag/backup/" title="backup">backup</a>, <a href="https://www.iamivan.net/tag/migration/" title="migration">migration</a>, <a href="https://www.iamivan.net/tag/restore/" title="restore">restore</a>, <a href="https://www.iamivan.net/tag/sqlonlinux/" title="SQLOnLinux">SQLOnLinux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>迁移数据库到SQL on Linux Docker的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLNXmp.html" rel="bookmark">如何使Mac Docker支持SQL on Linux容器Volume特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题引入 这天老鸟火急火燎的找到菜鸟:&quot;鸟儿啊,按照你之前的文章SQL on Linux Run on Docker,当我销毁SQL on Linux Docker容器以后,我容器中的所有数据库数据丢失啦,怎么办,怎么办啊?&quot;. 菜鸟一脸懵逼:&quot;我是参照微软官方文档来的啊?难道这帮XX连这个问题都没有想到?&quot;.于是,菜鸟开始了问题的重现和解决方法. 问题重现 按照上一篇文件启动的Docker容器,SQL on Linux实例中的数据库文件真的会随着Docker容器的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Po1z.html" rel="bookmark">将MySQL迁移到Microsoft SQL Server 2000 &lpar;一&rpar;-数据库相关-PHP教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将MySQL迁移到Microsoft SQL Server 2000 摘要 本白皮书描述了 Microsoft SQL Server 2000 的迁移能力,并提供了帮助开发人员将 MySQL 数据库迁移到 SQL Server 2000 的特定信息. 引言 本指南解释如何利用几个内置的 SQL Server 工具和实用程序将 MySQL 迁移到 Microsoft? SQL Server? 2000.它还提供了如何修改 MySQL 应用程序,使之与 SQL Server 2000 一起工作的指南			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40anNz.html" rel="bookmark">SQL on Linux Run on Docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 SQL Server 2016以及SQL on Linux版本已经支持跑在Docker容器中,也展示微软拥抱开源的决心和勇气.这篇博文就是以SQL on Linux为例,看看如何将SQL Server实例部署在Docker容器中. 背景 大概在两个月之前,在SQL On Linux刚发布预览版本的时候,我写过一篇文章,讲如何将SQL Server on Linux (vNext)部署到CentOS 7.2上,详情参见:Happy Birthday to MSSQL On Linux 这篇文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6L6gz.html" rel="bookmark">将MySQL迁移到Microsoft SQL Server 2000 &lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql|server 将MySQL迁移到Microsoft SQL Server 2000 摘要 本白皮书描述了 Microsoft SQL Server 2000 的迁移能力,并提供了帮助开发人员将 MySQL 数据库迁移到 SQL Server 2000 的特定信息. 引言 本指南解释如何利用几个内置的 SQL Server 工具和实用程序将 MySQL 迁移到 Microsoft? SQL Server? 2000.它还提供了如何修改 MySQL 应用程序,使之与 SQL Server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrr9QM.html" rel="bookmark">使用RMAN迁移数据库到异机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        迁移数据库的方法有多种,较为常用的则是使用RMAN来迁移.使用RMAN迁移数据库属于数据库的物理备份与恢复范畴,整个过程中数据库的相关信息是完整地镜像.因此,基于此种方式还原恢复的数据库用于测试会使得与真实的生产环境差异相对较小.本文描述了使用RMAN来还原Oracle 10g数据库的过程.   一.主要步骤     1.备份数据库     2.ftp备份到目的服务器     3.为目标数据库创建项目目录     4.为目标数据库创建pfile或spfile(使用RMAN还原或复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBX839p.html" rel="bookmark">【MOS】如何利用RMAN可传输表空间迁移数据库到不同字节序的平台&lpar;文档 ID 1983639&period;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何利用 RMAN 可传输表空间迁移数据库到不同字节序的平台 (文档 ID 1983639.1) 适用于: Oracle Database - Enterprise Edition - 版本 10.1.0.2 到 12.1.0.1 [发行版 10.1 到 12.1]本文档所含信息适用于所有平台******************* 警告 ************* Document 1334152.1 Corrupt IOT when using Transportable Tablespace			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeKE6AM.html" rel="bookmark">RMAN同字节序跨平台跨版本迁移数据库（一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跨平台传输数据库 RMAN的convert database命令被用来将整个数据库从一个平台移动到另一个平台.当源平台与目标平台字节序相同时,RMAN会在目标平台自动完成创建新数据库的大部分操作.当跨平台传输数据库时convertdatabase命令的处理过程将会很长.与传输表空间一样,RMAN的convert database命令可以在源平台或目标平台执行. 当跨平台传输数据库时文件会自动被传输到目标平台,这些文件包括: 1.属于永久表空间的数据文件,注意,不管源平台与目标平吧的字节序是否相同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqalA3M.html" rel="bookmark">RMAN同字节序跨平台跨版本迁移数据库（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在目标平台执行数据文件转换 将32位windows平台上的数据库jingyong(10.2.0.1)迁移到32位的Linux平台上(10.2.0.5)在目标平台上执行RMAN的convert database操作的步骤如下: 1.将源数据库以只读模式打开 C:\Users\Administrator&gt;sqlplus / as sysdba SQL*Plus: Release 10.2.0.1.0 - Production on 星期二 3月 31 20:30:23 2015 Copyright			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVOr4b.html" rel="bookmark">将MySQL迁移到Microsoft SQL Server 2000 &lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql|server 用于数据迁移的 MySQL 工具 MySQL 提供了几个客户端工具和实用程序,最常用的有: mysql - 一个交互式客户程序,可以对数据库发布查询并查看结果 mysqldump - 此工具可以提取 MySQL 数据库中的架构和数据,并放到一个文件中 mysqlimport - 此工具可以读取文件中的架构和数据,并放到一个 MySQL 数据库中 mysqladmin - 此工具可以执行管理任务,比如创建数据库和删除数据库 myODBC - 一个 32 位的开放式数据库连			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL28bd.html" rel="bookmark" class="title">win7系统与win8系统有什么不同？</a>
					<div>
						  最近小编有一个朋友要买电脑,于是跑过来问我,很多人都向他推荐win8系统的电脑,但是现在很多身边的朋友却还是觉得使用win7系统的电脑比较好,那么到底两种系统有什么不一样的地方呢?今天,小编就以w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVEXlp.html" rel="bookmark" class="title">用Photoshop制作打散效果图</a>
					<div>
						&quot;往事如烟,相思依旧,几度梦回,几许迷离.&quot;当手中的画卷一片一片飞散时,就宛如心中的记忆随风飘舞.今天,我们就使用Photoshop来实现将画卷打散的效果(本例在Photoshop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVrZkz.html" rel="bookmark" class="title">个人站长：我们痛并快乐着！</a>
					<div>
						苦不苦,我们站长最清楚: 累不累,我们站长最憔悴! 当今互联网,个人站长一族,大多是年轻的充满理想和报复的热血男儿(当然也有我们可爱可敬的巾帼站长)我们在同一条战线上为我们的理想和梦想在战斗 在拼搏! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boQmDp.html" rel="bookmark" class="title">爱情香烟：百度对网站排名机制分析</a>
					<div>
						对于百度的排名机制,相信学习过简单的seo优化技巧的人都会明白一二,今天我就谈谈百度对于网民点击进行排名的机制. 可以说是防作弊机制吧. 有部分站长,刷排名,利用seo优化软件. 就是在百度搜索结果里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k665z.html" rel="bookmark" class="title">Oracle中日期方面的SQL实例</a>
					<div>
						№1:取得当前日期是本月的第几周 SQL&gt; select to_char(sysdate,'YYYYMMDD W HH24:MI:SS') from dual; TO_CHAR(SYSDATE, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKoOOp.html" rel="bookmark" class="title">Effective C&num;原则15：使用using和try&sol;finally来做资源清理</a>
					<div>
						使用非托管资源的类型必须实现IDisposable接口的Dispose()方法来精确的 释放系统资源..Net环境的这一规则使得释放资源代码的职责是类型的使用者, 而不是类型或系统.因此,任何时候你在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRN3Lz.html" rel="bookmark" class="title">Word2007中快速完成大量表格数据汇总</a>
					<div>
						本文介绍如何巧妙利用Word的替换和转换的组合应用,高效完成人员登记表.产品参数表等含有大量相同格式表格并需要快速汇总表格数据的工作. 最近接到的一项收集公司所有技术人员资料的工作就有这样的要求.事先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62lVgM.html" rel="bookmark" class="title">EXCEL表格中TODAY函数怎么使用&quest;</a>
					<div>
						  EXCEL表格中TODAY函数怎么使用?TODAY函数是返回日期格式的当前日期的函数,那如何在EXCEL表格中使用TODAY函数呢?下面为大家详细介绍一下,来看看吧! 步骤 打开EXCEL表格,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaX4kM.html" rel="bookmark" class="title">Word2013中使用Ctrl&plus;Alt&plus;K组合键自动套用格式</a>
					<div>
						  首先选中需要应用自动套用格式的文本(如果不选中文本作用于全文),然后按下Ctrl+Alt+K组合键进行自动套用格式.如果应用自动套用格式后,存在不符合实际应用需要的情况,则可以在快速访问工具栏单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1NWWb.html" rel="bookmark" class="title">php静态文件返回304技巧分享&lowbar;php实例</a>
					<div>
						有时一些静态文件(如图片)会由php输出,会发现请求都是200,静态文件每次都去服务器上请求太浪费资源了,这时如何让浏览器缓存图片呢?就需要我们在php中输出304了. 我们可以利用php中的 HTT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmd1Zz.html" rel="bookmark" class="title">云日志安全事件如何高效管理？</a>
					<div>
						云日志 安全事件可产生大量数据.本文中专家Dave Shackleford讨论了如何过滤它并获得重要的安全事件. 随着开发和运营团队不断把资源迁移向云端,企业对于基于云的服务也使用越来越多,致使安全团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPLj8p.html" rel="bookmark" class="title">Storm可靠性及事务性相关设计&colon; Acker及Trident State</a>
					<div>
						Storm可靠性相关 Storm可靠性的设计与它的Acker有很大关系,先让我用比较拙劣的语句简单描述下. Storm的tuple,被OutputCollector emit的时候--这个称为arch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pn03p.html" rel="bookmark" class="title">科斯伍德：互联网&plus;是烧别人钱</a>
					<div>
						本文讲的是科斯伍德:互联网+是烧别人钱,当B2C(Business-to-Customer的缩写,企业对消费者的商务模式)该站的队已经站好时,B2B(Business-to-Business的缩写,企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr3mVM.html" rel="bookmark" class="title">九度题目1091：棋盘游戏</a>
					<div>
						题目1091:棋盘游戏 时间限制:1 秒 内存限制:32 兆 特殊判题:否 提交:1081 解决:260 题目描述:     有一个66的棋盘,每个棋盘上都有一个数值,现在又一个起始位置和终止位置,请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQry5rM.html" rel="bookmark" class="title">BaaS后端即服务 - 通往中台架构之路</a>
					<div>
						该文章来自阿里巴巴技术协会(ATA)精选集 BaaS代表第二代云服务,相对于AWS.阿里云等公有云(IaaS,PaaS)是第一代云服务,通过广泛部署云数据中心解决了开发和运维系统不需要管理服务器的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQVxap.html" rel="bookmark" class="title">Fuzel推免费版 保留收费版大部分功能</a>
					<div>
						近日,据相关消息报道,备受好评的照片拼贴iOS应用Fuzel日前推出了免费版,它保留了原收费版应用的大部分功能,能让用户在iPhone.iPad或iPod Touch上制作出漂亮的照片拼贴画,这对于广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA22AM.html" rel="bookmark" class="title">Install TightVNC Server in RHEL&sol;CentOS and Fedora to Access Remote Desktops</a>
					<div>
						Virtual Networking Computing (VNC) is a Kind of remote sharing system that makes it possible to take ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKVOZz.html" rel="bookmark" class="title">金山毒霸&OpenCurlyDoubleQuote;追杀&rdquo;手机&OpenCurlyDoubleQuote;后门&rdquo;</a>
					<div>
						本报讯(记者 马亚宁)据外媒报道,国外安全厂商在http://www.aliyun.com/zixun/aggregation/79232.html&quot;&gt;Google Play官方商店发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRoaAb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;juju猫&rdquo;网站被端提供盗版Win7疯狂下载</a>
					<div>
						■警方昨日在发布会上展示缴获的假冒名牌手表.通讯员供图 广东重拳打击侵犯知识产权及制售假冒伪劣商品,发起3宗跨省专案集群战役 ■新快报记者 刘操 通讯员 孙祥美 张雷 昨日,广东省公安厅召开新闻发布会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RW1Wz.html" rel="bookmark" class="title">ios-iOS集成环信及时通信问题</a>
					<div>
						问题描述 iOS集成环信及时通信问题 小弟菜鸟急求 快速集成环信聊天界面的方法 照网上的视屏集成 出现问题呀 解决方案 iOS-集成环信 解决方案二: 出现的具体问题是什么?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNn3kM.html" rel="bookmark" class="title">python中，怎么在不转换成矩阵的情况下根据txt文件的某一列大小排序？</a>
					<div>
						问题描述 python中,怎么在不转换成矩阵的情况下根据txt文件的某一列大小排序? python中,怎么在不转换成矩阵的情况下根据txt文件的某一列大小排序? 而且好像都是按行进行split的,我想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60yYAz.html" rel="bookmark" class="title">阿里马云、亚马逊贝索斯，谁能抢食万亿大数据蛋糕</a>
					<div>
						虽然大数据已经说了两三年,也听了两三年,但是阿里云大数据事业部资深总监徐常亮认为,2016年,才是万亿大数据产业元年. &quot;束缚大数据的技术瓶颈已经被完全打破,数据将从企业的成本中心转变为价值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0L8BM.html" rel="bookmark" class="title">登录后allGroups为空&comma;请问要怎么做才能获取该用户的allgroups</a>
					<div>
						问题描述 登录后allGroups为空,请问要怎么做才能获取该用户的allgroups. 解决方案 EMGroupManager.getInstance().asyncGetGroupsFromSer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nl2Kp.html" rel="bookmark" class="title">为ant指定编译版本</a>
					<div>
						  用Eclipse的ant折腾了一天也没搞清楚为什么同样的设置ant出的class版本却不一样.后来下载个ant工具在命令行执行通过. 从网上抄得指定编译版本的方法如下: ant 运行时,必需依赖j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKKZWz.html" rel="bookmark" class="title">PHP基于单例模式实现的数据库操作基类&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP基于单例模式实现的数据库操作基类.分享给大家供大家参考,具体如下: 配置文件: &lt;?php $db = array( 'host'=&gt;'localhost', 'use ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmWJVp.html" rel="bookmark" class="title">一个简洁的多级别论坛&lowbar;php基础</a>
					<div>
						本论坛总共用了不到200行代码,执行速度相当快.运行例子在:http://www.hnpts.ha.cn/forum MYSQL数据库:yxforum +-------+--------------+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk08vp.html" rel="bookmark" class="title">一天精通asp&period;net的学习经验小结&lowbar;实用技巧</a>
					<div>
						1.Validator 2.IsPostBack 3.AutoPostBack.控件离开焦点的时候自动Post. 4.repeater控件的使用.:Repeater控件比以前版本的asp.net好用了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK5VQM.html" rel="bookmark" class="title">JavaScript&plus;html5 canvas绘制渐变区域完整实例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript+html5 canvas绘制渐变区域的方法.分享给大家供大家参考,具体如下: 运行效果截图如下: 具体代码如下: &lt;!DOCTYPE html&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8dgrb.html" rel="bookmark" class="title">javascript的渐进增强与平稳退化浅谈&lowbar;javascript技巧</a>
					<div>
						在google.com.hk的左上角,有一个更多的链接,它具有一个目标地址,但是当我们点击时,大多数情况发现的是弹出一个下拉列表供用户选择(这是一种典型的渐进增强形式).怎么理解?--如果用户的浏览器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK8L5M.html" rel="bookmark" class="title">JS判断当前页面是否在微信浏览器打开的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS判断当前页面是否在微信浏览器打开的方法.分享给大家供大家参考,具体如下: 最近做很多HTML5的项目,很多页面会通过微信微博等SNS分享出去.在分享页面上提供公司APP的下载.但是在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
